include: package:lint/analysis_options.yaml

analyzer:
  errors:
    missing_required_param: error
    missing_return: error
    must_be_immutable: error
  exclude:
    - "**/*.g.dart"
    - "**/*.gr.dart"
    - "**/*.freezed.dart"
    - "**/*messages*.dart"

linter:
  rules:
    curly_braces_in_flow_control_structures: false
    always_declare_return_types: false
    type_annotate_public_apis: false
